using FreeSql.DatabaseModel;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 站点表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class businessunitinfo {

		[JsonProperty, Column(IsPrimary = true)]
		public Guid Buid { get; set; }

		/// <summary>
		/// 油站地址
		/// </summary>
		[JsonProperty, Column(IsNullable = false)]
		public string Address { get; set; }

		/// <summary>
		/// 小程序appid
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string Appid { get; set; }

		[JsonProperty, Column(StringLength = 100)]
		public string CreateBy { get; set; }

		[JsonProperty, Column(DbType = "timestamp", InsertValueSql = "CURRENT_TIMESTAMP")]
		public DateTime CreateTime { get; set; }

		/// <summary>
		/// 油站经纬度
		/// </summary>
		[JsonProperty, Column(StringLength = 100, IsNullable = false)]
		public string GpsCoordinates { get; set; }

		/// <summary>
		/// 油站名称
		/// </summary>
		[JsonProperty, Column(IsNullable = false)]
		public string Name { get; set; }

		/// <summary>
		/// 联系人
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string Phone { get; set; }

		/// <summary>
		/// 小程序secret
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string Secret { get; set; }
        /// <summary>
        /// 预支付：1，后支付：2
        /// </summary>
        [JsonProperty]
        public int PaymentMode { get; set; }



    }

}
